Page MenuHomePhabricator

[Epic] Use the latest MediaWiki audio/video player tools for multimedia playback in MediaSearch QuickView
Open, Needs TriagePublic

Description

Replace the current HTML5 audio/video elements with the new tools for AV playback. Details TBD.

We've identified a few cross-browser issues with native audio/video elements:

  1. .ogg files aren't supported natively in Safari, so for these files the audio player displays but does nothing, which is confusing
  2. At least some videos don't work in Safari:

  1. audio and video elements aren't working in IE11:


Acceptance criteria:

  • Audio and video players work in all modern browsers

Event Timeline

I'm not sure which code generates the HTML for these, but note that MediaWiki addresses this in articles through TimedMediaHandler (also exposed via the videoinfo API for lazy/late-loading contexts in JS). And the TimedMediaHandler extension also has the video.js player and ogv.js modules required for cross-browser compat and selection of the right media format.

/cc @brion

CBogen renamed this task from Use the latest MediaWiki audio/video player tools for multimedia playback in MediaSearch QuickView to [L] Use the latest MediaWiki audio/video player tools for multimedia playback in MediaSearch QuickView.Sep 9 2020, 4:45 PM

Change 628428 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] Use videoinfo API for Audio/Video Quickview

https://gerrit.wikimedia.org/r/628428

Change 628428 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add Player base component and use videoinfo API

https://gerrit.wikimedia.org/r/628428

@egardner - should it be moved to Ready for development? Or it should be in Blocked?
Checked in betalabs and production.

  • audio files work in IE11
  • video/audio files work in Edge
  • below are my notes on video player not working in Safari/IE
  1. .ogg files aren't supported natively in Safari, so for these files the audio player displays but does nothing, which is confusing
  2. At least some videos don't work in Safari.

betalabs example from the description

commonswiki wmf.14

Safari 13 &12
Video files typeWorks?Search termsExample
webmNoroads
mpgYesroads
oggNoroads

Note:

  • mpg files although can be played do not have a preview

  1. audio and video elements aren't working in IE11:

Audio works in IE11; video doesn't.
commonswiki wmf.14

IE 11
Video files typeWorks?Search termsExample
webmNoroads
mpgNoroads
oggNoroads
Etonkovidova changed the task status from Open to Stalled.Oct 29 2020, 10:55 PM
Etonkovidova added subscribers: Ramsey-WMF, MarkTraceur.

File:How to Use SE Module.webm (in betalabs) can be played in IE11, but in production I could not find an example of a video file that would play in Quickview on Special:MediaSearch. Tenttively put the task as stalled (pending additional insights).

Per our conversation with @Ramsey-WMF and @MarkTraceur I split up this task into two tasks due to some updates after the testing and for easier prioritization.

T266831: IE 11 - video player does not work on MediaSearch page
T266842: Add ogv.js shim to enable Safari support for OGG and WEBP videos (in quickview)

egardner renamed this task from [L] Use the latest MediaWiki audio/video player tools for multimedia playback in MediaSearch QuickView to [Epic] Use the latest MediaWiki audio/video player tools for multimedia playback in MediaSearch QuickView.Jan 21 2021, 6:39 PM
egardner changed the task status from Stalled to Open.Jan 21 2021, 7:00 PM